Get a unit by ID
https://api.propexo.com/v1/units/:idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the unit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
W-34The external ID of the property from the integration vendor
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
789The external ID of the floor plan from the integration vendor
This field will always be null for MRI
nullThe external ID of the unit type from the integration vendor
This field will always be null for MRI
nullThe number of bathrooms associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
1The number of full bathrooms associated with the unit
This field will always be null for MRI
nullThe number of half bathrooms associated with the unit
This field will always be null for MRI
nullThe number of bedrooms associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
1The building name associated with the unit
This field will always be null for MRI
nullThe building number associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
AThe city associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
MilwaukeeThe country associated with the unit
This field will always be null for MRI
nullcustom_data object | nullrequired
The external ID of the floor plan associated with the unit
This field will always be null for MRI
nullThe floor plan name associated with the unit
This field will always be null for MRI
nullThe floor number/name associated with the unit
This field will always be null for MRI
nullWhether the unit is available
This field will always be null for MRI
nullWhether the unit is furnished
This field will always be null for MRI
nullDEPRECATED: Use listings endpoints.
This field will always be null for MRI
nullWhether the unit is vacant
This field will always be null for MRI
nullThe unit number
This field will always be null for MRI
nullThe market rent amount in cents for the unit
See rent_amount_max_in_cents and rent_amount_min_in_cents
This field will always be null for MRI
nullThe maximum rent amount in cents
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
375000The minimum rent amount in cents
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
330000The square footage of the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
Possible values: >= 0
900The state associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
WIDeprecated: Use address_1
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
Deprecated: Use address_2
This field will always be null for MRI
nullThe first address line associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
415 Main StreetThe second address line associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
415 Main StreetThe zip code associated with the unit
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialUnits |
53172Whether or not pets are allowed
This field will always be null for MRI
nullWhether or not dogs are allowed
This field will always be null for MRI
nullWhether or not cats are allowed
This field will always be null for MRI
nullThe pet policy for the unit
This field will always be null for MRI
nullThe Propexo unique identifier for the floor plan
This field will always be null for MRI
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
MRIAPPFOLIOBUILDIUMENTRATAPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTMRIThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit type
This field will always be null for MRI
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/:id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "W-34",
"x_property_id": "789",
"x_floor_plan_id": null,
"x_unit_type_id": null,
"bathrooms": "1",
"bathrooms_full": null,
"bathrooms_half": null,
"bedrooms": "1",
"building_name": null,
"building_number": "A",
"city": "Milwaukee",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor_plan_code": null,
"floor_plan_name": null,
"floor": null,
"is_available": null,
"is_furnished": null,
"is_vacant": null,
"number": null,
"rent_amount_market_in_cents": null,
"rent_amount_max_in_cents": 375000,
"rent_amount_min_in_cents": 330000,
"square_feet": 900,
"state": "WI",
"address_1": "415 Main Street",
"address_2": "415 Main Street",
"zip": "53172",
"pets_allowed": null,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "MRI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": null
}
}